## org.eclipse.datatools.modelbase.sql.query
Interface QueryResultSpecification

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Subinterfaces:
  ResultColumn, ResultTableAllColumns

All Known Implementing Classes:
  QueryResultSpecificationImpl, ResultColumnImpl, ResultTableAllColumnsImpl

public interface QueryResultSpecification
extends SQLQueryObject

A representation of the model object 'SQL Result Column Specification'.

The following features are supported:

- `Query Select`

See Also:
  `SQLQueryModelPackage.getQueryResultSpecification()`

Method Summary
`QuerySelect` `getQuerySelect()` Returns the value of the 'Query Select' container reference.
`void` `setQuerySelect(QuerySelect value)` Sets the value of the '`Query Select`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getQuerySelect

    public QuerySelect getQuerySelect()

  Returns the value of the 'Query Select' container reference. It is bidirectional and its opposite is '`Select Clause`'.

  If the meaning of the 'Query Select' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Select' container reference.
  See Also:
    `setQuerySelect(QuerySelect)`, `SQLQueryModelPackage.getQueryResultSpecification_QuerySelect()`, `QuerySelect.getSelectClause()`

### setQuerySelect

    public void setQuerySelect(QuerySelect value)

  Sets the value of the '`Query Select`' container reference.

  Parameters:
    `value` - the new value of the 'Query Select' container reference.
  See Also:
    `getQuerySelect()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.